# spec file for lsi-megaraid_sas version 06.704.15.00 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#
# norootforbuild

Name:           lsi-megaraid_sas
BuildRequires:  %kernel_module_package_buildreqs
License:        GPL-2.0
Group:          System/Kernel
Summary:        LSI MegaRAID SAS Driver  
Version:        06.704.15.00
Release:        7.1
Source0:        %name-%version.tar.bz2
Source1:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%kernel_module_package

%description
This is a Kernel Module Package for the LSI MegaRAID SAS Driver.

%package KMP
Summary: LSI MegaRAID SAS Driver
Group: System/Kernel

%description KMP
This is a Kernel Module Package for the LSI MegaRAID SAS Driver.

%prep
%setup

# Apply proper patch depending on SLE releaes
%define sle_version %(tr '\\n' ' ' < /etc/SuSE-release | sed -rn 's/^SUSE Linux Enterprise ([a-z|A-Z]+) ([0-9]+).*PATCHLEVEL = ([0-9]+).*$/\\2\\3/p')

%if 0%{?sle_version} == 110
	patch -p1 < patches/sles11.patch
%endif
%if 0%{?sle_version} == 111
	patch -p1 < patches/sles11-sp1.patch
%endif
%if 0%{?sle_version} == 112
	patch -p1 < patches/sles11-sp2.patch
%endif
%if 0%{?sle_version} == 113
	patch -p1 < patches/sles11-sp3.patch
%endif

echo "megaraid_sas.ko external" > Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj


%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Sun Nov  9 2014 sbahling@suse.com
- Update to build across SLE 11 releases with single source
* Sun Nov  9 2014 sbahling@suse.com
- Add copy right header to spec file
- Add COPYING.
- Remove Module.supported
* Wed Aug 13 2014 poswald@suse.com
-Initial KMP build of the megaraid_sas v06.704.15.00
